Index: theoryview/perspectives/theory/basepage.py
===================================================================
--- theoryview/perspectives/theory/basepage.py	(revision da9ac4e6fb87145553f38711a3fa2bde5b71b638)
+++ theoryview/perspectives/theory/basepage.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -725,67 +702,59 @@
         self._reset_parameters_state(self.str_parameters,
                                      state.str_parameters)
-        self._reset_parameters_state(self.parameters,state.parameters)    
+        self._reset_parameters_state(self.parameters, state.parameters)    
          ## display dispersion info layer        
         self.enable_disp.SetValue(state.enable_disp)
         self.disable_disp.SetValue(state.disable_disp)
-        
         if hasattr(self, "disp_box"):
-            
             self.disp_box.SetSelection(state.disp_box) 
-            n= self.disp_box.GetCurrentSelection()
-            dispersity= self.disp_box.GetClientData(n)
-            name= dispersity.__name__     
-
+            n = self.disp_box.GetCurrentSelection()
+            dispersity = self.disp_box.GetClientData(n)
+            name = dispersity.__name__     
             self._set_dipers_Param(event=None)
-       
-            if name=="ArrayDispersion":
-                
+            if name == "ArrayDispersion":
                 for item in self.disp_cb_dict.keys():
-                    
-                    if hasattr(self.disp_cb_dict[item],"SetValue") :
+                    if hasattr(self.disp_cb_dict[item], "SetValue") :
                         self.disp_cb_dict[item].SetValue(state.disp_cb_dict[item])
                         # Create the dispersion objects
                         from sans.models.dispersion_models import ArrayDispersion
                         disp_model = ArrayDispersion()
-                        if hasattr(state,"values")and self.disp_cb_dict[item].GetValue()==True:
-                            if len(state.values)>0:
-                                self.values=state.values
-                                self.weights=state.weights
-                                disp_model.set_weights(self.values, state.weights)
+                        if hasattr(state, "values") and \
+                            self.disp_cb_dict[item].GetValue() == True:
+                            if len(state.values) > 0:
+                                self.values = state.values
+                                self.weights = state.weights
+                                disp_model.set_weights(self.values, 
+                                                       state.weights)
                             else:
                                 self._reset_dispersity()
-                        
                         self._disp_obj_dict[item] = disp_model
-                        # Set the new model as the dispersion object for the selected parameter
+                        # Set the new model as the dispersion object for 
+                        #the selected parameter
                         self.model.set_dispersion(item, disp_model)
-                    
-                        self.model._persistency_dict[item] = [state.values, state.weights]
-                    
+                        self.model._persistency_dict[item] = [state.values, 
+                                                              state.weights]
             else:
                 keys = self.model.getParamList()
                 for item in keys:
-                    if item in self.disp_list and not self.model.details.has_key(item):
-                        self.model.details[item]=["",None,None]
-                for k,v in self.state.disp_cb_dict.iteritems():
+                    if item in self.disp_list and \
+                        not self.model.details.has_key(item):
+                        self.model.details[item]=["", None, None]
+                for k, v in self.state.disp_cb_dict.iteritems():
                     self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
                     self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-
         ##plotting range restore    
         self._reset_plotting_range(state)
-
         ## smearing info  restore
-        if hasattr(self,"enable_smearer"):
-            ## set smearing value whether or not the data contain the smearing info
+        if hasattr(self, "enable_smearer"):
+            ## set smearing value whether or not the data contain 
+            #the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
             self.onSmear(event=None)           
-       
         ## reset state of checkbox,textcrtl  and dispersity parameters value
-        self._reset_parameters_state(self.fittable_param,state.fittable_param)
-        self._reset_parameters_state(self.fixed_param,state.fixed_param)
-        
+        self._reset_parameters_state(self.fittable_param, state.fittable_param)
+        self._reset_parameters_state(self.fixed_param, state.fixed_param)
         ## draw the model with previous parameters value
         self._onparamEnter_helper()
-
         ## reset context menu items
         self._reset_context_menu()
@@ -799,7 +768,7 @@
         
         """
-        import os
+        #import os
         dlg = wx.FileDialog(self, "Choose a weight file",
-                                self._default_save_location , "", "*.*", wx.OPEN)
+                            self._default_save_location, "", "*.*", wx.OPEN)
         path = None
         if dlg.ShowModal() == wx.ID_OK:
@@ -817,8 +786,8 @@
             ## Add item in the context menu
             id = wx.NewId()
-            self.popUpMenu.Append(id,name, 'Save model and state %g'%self.number_saved_state)
+            hint_msg = 'Save model and state %g' % self.number_saved_state
+            self.popUpMenu.Append(id, name, hint_msg)
             wx.EVT_MENU(self, id, self.onResetModel)
-    
-    
+
     def _reset_plotting_range(self, state):
         """
@@ -828,7 +797,6 @@
         self.qmin.SetValue(str(state.qmin))
         self.qmax.SetValue(str(state.qmax)) 
-        if self.state.npts!=None:
+        if self.state.npts != None:
             self.npts.SetValue(str(state.npts)) 
-            
             
     def _save_typeOfmodel(self):
@@ -841,14 +809,12 @@
         self.state.struct_rbutton = self.struct_rbutton.GetValue()
         self.state.plugin_rbutton = self.plugin_rbutton.GetValue()
-        self.state.structurebox= self.structurebox.GetCurrentSelection()
+        self.state.structurebox = self.structurebox.GetCurrentSelection()
         self.state.formfactorbox = self.formfactorbox.GetCurrentSelection()
-       
         #self._undo.Enable(True)
         ## post state to fit panel
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
         
-        
-    def _save_plotting_range(self ):
+    def _save_plotting_range(self):
         """
         save the state of plotting range 
@@ -857,7 +823,6 @@
         self.state.qmin = self.qmin_x
         self.state.qmax = self.qmax_x 
-        if self.npts!=None:
-            self.state.npts= self.num_points
-            
+        if self.npts != None:
+            self.state.npts = self.num_points
             
     def _onparamEnter_helper(self):
@@ -871,9 +836,12 @@
         is_modified = False
         #self._undo.Enable(True)
-        if self.model !=None:
+        if self.model != None:
             try:
-                is_modified =self._check_value_enter( self.fittable_param ,is_modified)
-                is_modified =self._check_value_enter( self.fixed_param ,is_modified)
-                is_modified =self._check_value_enter( self.parameters ,is_modified) 
+                is_modified = self._check_value_enter(self.fittable_param,
+                                                     is_modified)
+                is_modified = self._check_value_enter(self.fixed_param,
+                                                     is_modified)
+                is_modified = self._check_value_enter(self.parameters,
+                                                      is_modified) 
             except:
                 pass
@@ -901,16 +869,13 @@
                         is_modified = True
                 else:
-                    msg= "Cannot Plot :Must enter a number!!!  "
-                    wx.PostEvent(self.parent, StatusEvent(status = msg ))
-                
-            
+                    msg = "Cannot Plot :Must enter a number!!!  "
+                    wx.PostEvent(self.parent, StatusEvent(status=msg))
             ## if any value is modify draw model with new value
             if is_modified:
-                self.state_change= True
+                self.state_change = True
                 self._draw_model() 
                 self.Refresh()
         return is_modified
                       
-               
     def _is_modified(self, is_modified):
         """
@@ -920,12 +885,12 @@
         return is_modified
                        
-    def _reset_parameters_state(self, listtorestore,statelist):
+    def _reset_parameters_state(self, listtorestore, statelist):
         """
         Reset the parameters at the given state
         
         """
-        if len(statelist)==0 or  len(listtorestore)==0 :
+        if len(statelist) == 0 or  len(listtorestore) == 0:
             return
-        if len(statelist)!=  len(listtorestore) :
+        if len(statelist) != len(listtorestore):
             return
 
@@ -934,11 +899,9 @@
             item_page_info = statelist[j]
             ##change the state of the check box for simple parameters
-            if item_page[0]!=None:               
+            if item_page[0] != None:               
                 item_page[0].SetValue(item_page_info[0])
-                
-            if item_page[2]!=None:
+            if item_page[2] != None:
                 item_page[2].SetValue(item_page_info[2])
-                
-            if item_page[3]!=None:
+            if item_page[3] != None:
                 ## show or hide text +/-
                 if item_page_info[2]:
@@ -946,5 +909,5 @@
                 else:
                     item_page[3].Hide()
-            if item_page[4]!=None:
+            if item_page[4] != None:
                 ## show of hide the text crtl for fitting error
                 if item_page_info[4][0]:
@@ -953,5 +916,5 @@
                 else:
                     item_page[3].Hide()
-            if item_page[5]!=None:
+            if item_page[5] != None:
                 ## show of hide the text crtl for fitting error
                 if item_page_info[5][0]:
@@ -960,6 +923,5 @@
                 else:
                     item_page[5].Hide()
-                    
-            if item_page[6]!=None:
+            if item_page[6] != None:
                 ## show of hide the text crtl for fitting error
                 if item_page_info[6][0]:
@@ -977,43 +939,38 @@
         
         """
-        if len(listtocopy)==0:
+        if len(listtocopy) == 0:
             return
-       
         for item in listtocopy:
-  
             checkbox_state = None
-            if item[0]!= None:
-                checkbox_state= item[0].GetValue()
+            if item[0] != None:
+                checkbox_state = item[0].GetValue()
             parameter_name = item[1]
             parameter_value = None
-            if item[2]!=None:
+            if item[2] != None:
                 parameter_value = item[2].GetValue()
             static_text = None
-            if item[3]!=None:
+            if item[3] != None:
                 static_text = item[3].IsShown()
             error_value = None
             error_state = None
-            if item[4]!= None:
+            if item[4] != None:
                 error_value = item[4].GetValue()
                 error_state = item[4].IsShown()
-                
             min_value = None
             min_state = None
-            if item[5]!= None:
+            if item[5] != None:
                 min_value = item[5].GetValue()
                 min_state = item[5].IsShown()
-                
             max_value = None
             max_state = None
-            if item[6]!= None:
+            if item[6] != None:
                 max_value = item[6].GetValue()
                 max_state = item[6].IsShown()
-            unit=None
-            if item[7]!=None:
+            unit = None
+            if item[7] != None:
                 unit = item[7].GetLabel()
-               
             statelist.append([checkbox_state, parameter_name, parameter_value,
-                              static_text ,[error_state,error_value],
-                                [min_state,min_value],[max_state , max_value],unit])
+                              static_text , [error_state, error_value],
+                        [min_state, min_value], [max_state, max_value], unit])
            
     def _set_model_sizer_selection(self, model):
@@ -1022,11 +979,10 @@
         
         """
-        if model ==None:
+        if model == None:
             return
-        if hasattr(model ,"s_model"):
-            
-            class_name= model.s_model.__class__
-            name= model.s_model.name
-            flag= name != "NoStructure"
+        if hasattr(model, "s_model"):
+            class_name = model.s_model.__class__
+            name = model.s_model.name
+            flag = (name != "NoStructure")
             if flag and (class_name in self.model_list_box["Structure Factors"]):
                 self.structurebox.Show()
@@ -1036,24 +992,24 @@
                 items = self.structurebox.GetItems()
                 self.sizer1.Layout()
-                self.SetScrollbars(20,20,25,65)
+                self.SetScrollbars(20, 20, 25, 65)
                 for i in range(len(items)):
-                    if items[i]== str(name):
+                    if items[i] == str(name):
                         self.structurebox.SetSelection(i)
                         break
-                    
-        if hasattr(model ,"p_model"):
+        if hasattr(model, "p_model"):
             class_name = model.p_model.__class__
             name = model.p_model.name
             self.formfactorbox.Clear()
-            
             for k, list in self.model_list_box.iteritems():
-                if k in["P(Q)*S(Q)","Shapes" ] and class_name in self.model_list_box["Shapes"]:
+                if k in ["P(Q)*S(Q)", "Shapes" ] and \
+                    class_name in self.model_list_box["Shapes"]:
                     self.shape_rbutton.SetValue(True)
                     ## fill the form factor list with new model
-                    self._populate_box(self.formfactorbox,self.model_list_box["Shapes"])
+                    self._populate_box(self.formfactorbox,
+                                       self.model_list_box["Shapes"])
                     items = self.formfactorbox.GetItems()
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1067,5 +1023,4 @@
                 else:
                     self.plugin_rbutton.SetValue(True)
-               
                 if class_name in list:
                     ## fill the form factor list with new model
@@ -1074,5 +1029,5 @@
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1087,5 +1042,6 @@
     
             for k, list in self.model_list_box.iteritems():          
-                if k in["P(Q)*S(Q)","Shapes" ] and class_name in self.model_list_box["Shapes"]:
+                if k in["P(Q)*S(Q)","Shapes" ] and \
+                    class_name in self.model_list_box["Shapes"]:
                     if class_name in self.model_list_box["P(Q)*S(Q)"]:
                         self.structurebox.Show()
@@ -1103,9 +1059,10 @@
                     self.shape_rbutton.SetValue(True)
                     ## fill the form factor list with new model
-                    self._populate_box(self.formfactorbox,self.model_list_box["Shapes"])
+                    self._populate_box(self.formfactorbox, 
+                                       self.model_list_box["Shapes"])
                     items = self.formfactorbox.GetItems()
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1128,5 +1085,5 @@
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1142,6 +1099,6 @@
          
         """
-        if self.model !=None:
-            temp_smear=None
+        if self.model != None:
+            temp_smear = None
             if hasattr(self, "enable_smearer"):
                 if self.enable_smearer.GetValue():
@@ -1164,5 +1121,5 @@
         ##For MAC, this should defined here.
         if box_sizer == None:
-            box_description= wx.StaticBox(self, -1,str(title))
+            box_description = wx.StaticBox(self, -1, str(title))
             boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         else:
@@ -1170,59 +1127,54 @@
         sizer_buttons = wx.BoxSizer(wx.HORIZONTAL)        
         #--------------------------------------------------------
-        self.shape_rbutton = wx.RadioButton(self, -1, 'Shapes', style=wx.RB_GROUP)
-        self.shape_indep_rbutton = wx.RadioButton(self, -1, "Shape-Independent")
+        self.shape_rbutton = wx.RadioButton(self, -1, 'Shapes', 
+                                            style=wx.RB_GROUP)
+        self.shape_indep_rbutton = wx.RadioButton(self, -1, 
+                                                  "Shape-Independent")
         self.struct_rbutton = wx.RadioButton(self, -1, "Structure Factor ")
         self.plugin_rbutton = wx.RadioButton(self, -1, "Customized Models")
-                
-        self.Bind( wx.EVT_RADIOBUTTON, self._show_combox,
-                            id= self.shape_rbutton.GetId() ) 
-        self.Bind( wx.EVT_RADIOBUTTON, self._show_combox,
-                            id= self.shape_indep_rbutton.GetId() ) 
-        self.Bind( wx.EVT_RADIOBUTTON, self._show_combox,
-                            id= self.struct_rbutton.GetId() ) 
-        self.Bind( wx.EVT_RADIOBUTTON, self._show_combox,
-                            id= self.plugin_rbutton.GetId() )  
+        self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+                            id=self.shape_rbutton.GetId()) 
+        self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+                            id=self.shape_indep_rbutton.GetId()) 
+        self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+                            id=self.struct_rbutton.GetId()) 
+        self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+                            id=self.plugin_rbutton.GetId())  
         #MAC needs SetValue
         self.shape_rbutton.SetValue(True)
-      
-        sizer_radiobutton = wx.GridSizer(2, 2,5, 5)
+        sizer_radiobutton = wx.GridSizer(2, 2, 5, 5)
         sizer_radiobutton.Add(self.shape_rbutton)
         sizer_radiobutton.Add(self.shape_indep_rbutton)
         sizer_radiobutton.Add(self.plugin_rbutton)
         sizer_radiobutton.Add(self.struct_rbutton)
-        
         sizer_buttons.Add(sizer_radiobutton)
         # detail button
-        if object !=None:
-            sizer_buttons.Add((50,0))
+        if object != None:
+            sizer_buttons.Add((50, 0))
             sizer_buttons.Add(object)
-            
         sizer_selection = wx.BoxSizer(wx.HORIZONTAL)
         mutifactor_selection = wx.BoxSizer(wx.HORIZONTAL)
-        self.text1 = wx.StaticText( self,-1,"" )
-        self.text2 = wx.StaticText( self,-1,"P(Q)*S(Q)" )
-        self.mutifactor_text = wx.StaticText( self,-1,"No. of Shells: " )
-        self.mutifactor_text1 = wx.StaticText( self,-1,"" )
-        self.show_sld_button = wx.Button( self,-1,"Show SLD Profile" )
+        self.text1 = wx.StaticText(self, -1, "")
+        self.text2 = wx.StaticText(self, -1, "P(Q)*S(Q)")
+        self.mutifactor_text = wx.StaticText(self, -1, "No. of Shells: ")
+        self.mutifactor_text1 = wx.StaticText(self, -1, "")
+        self.show_sld_button = wx.Button(self, -1, "Show SLD Profile")
         self.show_sld_button.Bind(wx.EVT_BUTTON,self._on_show_sld)
-        self.formfactorbox = wx.ComboBox(self, -1,style=wx.CB_READONLY)
-        if self.model!=None:
+        self.formfactorbox = wx.ComboBox(self, -1, style=wx.CB_READONLY)
+        if self.model!= None:
             self.formfactorbox.SetValue(self.model.name)
-            
-            
-        self.structurebox = wx.ComboBox(self, -1,style=wx.CB_READONLY)
-        self.multifactorbox = wx.ComboBox(self, -1,style=wx.CB_READONLY)
-        wx.EVT_COMBOBOX(self.formfactorbox,-1, self._on_select_model)
-        wx.EVT_COMBOBOX(self.structurebox,-1, self._on_select_model)
-        wx.EVT_COMBOBOX(self.multifactorbox,-1, self._on_select_model)
-    
+        self.structurebox = wx.ComboBox(self, -1, style=wx.CB_READONLY)
+        self.multifactorbox = wx.ComboBox(self, -1, style=wx.CB_READONLY)
+        wx.EVT_COMBOBOX(self.formfactorbox, -1, self._on_select_model)
+        wx.EVT_COMBOBOX(self.structurebox, -1, self._on_select_model)
+        wx.EVT_COMBOBOX(self.multifactorbox, -1, self._on_select_model)
         ## fill combox box
-        if len(self.model_list_box)>0:
-            self._populate_box( self.formfactorbox,self.model_list_box["Shapes"])
-       
-        if len(self.model_list_box)>0:
-            self._populate_box( self.structurebox,
+        if len(self.model_list_box) > 0:
+            self._populate_box(self.formfactorbox, 
+                               self.model_list_box["Shapes"])
+        if len(self.model_list_box) > 0:
+            self._populate_box(self.structurebox,
                                 self.model_list_box["Structure Factors"])
-            self.structurebox.Insert("None", 0,None)
+            self.structurebox.Insert("None", 0, None)
             self.structurebox.SetSelection(0)
             self.structurebox.Hide()
@@ -1230,5 +1182,4 @@
             self.structurebox.Disable()
             self.text2.Disable()
-             
             if self.model.__class__ in self.model_list_box["P(Q)*S(Q)"]:
                 self.structurebox.Show()
@@ -1236,39 +1187,34 @@
                 self.structurebox.Enable()
                 self.text2.Enable()            
-        
         ## check model type to show sizer
-        if self.model !=None:
-            self._set_model_sizer_selection( self.model )
-        
+        if self.model != None:
+            self._set_model_sizer_selection(self.model)
         sizer_selection.Add(self.text1)
-        sizer_selection.Add((5,5))
+        sizer_selection.Add((5, 5))
         sizer_selection.Add(self.formfactorbox)
-        sizer_selection.Add((5,5))
+        sizer_selection.Add((5, 5))
         sizer_selection.Add(self.text2)
-        sizer_selection.Add((5,5))
+        sizer_selection.Add((5, 5))
         sizer_selection.Add(self.structurebox)
-        #sizer_selection.Add((5,5))
-        mutifactor_selection.Add((10,5))
+        #sizer_selection.Add((5, 5))
+        mutifactor_selection.Add((10, 5))
         mutifactor_selection.Add(self.mutifactor_text)
         mutifactor_selection.Add(self.multifactorbox)
-        mutifactor_selection.Add((5,5))
+        mutifactor_selection.Add((5, 5))
         mutifactor_selection.Add(self.mutifactor_text1)
-        mutifactor_selection.Add((10,5))
+        mutifactor_selection.Add((10, 5))
         mutifactor_selection.Add(self.show_sld_button)
-        
-        boxsizer1.Add( sizer_buttons )
-        boxsizer1.Add( (15,15))
-        boxsizer1.Add( sizer_selection )
-        boxsizer1.Add( (10,10))
+        boxsizer1.Add(sizer_buttons)
+        boxsizer1.Add((15, 15))
+        boxsizer1.Add(sizer_selection)
+        boxsizer1.Add((10,10))
         boxsizer1.Add(mutifactor_selection)
-        
         self._set_multfactor_combobox()
         self.multifactorbox.SetSelection(1)
         self.show_sld_button.Hide()
-        
         #--------------------------------------------------------
-        sizer.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        sizer.Add(boxsizer1, 0, wx.EXPAND|wx.ALL, 10)
         sizer.Layout()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         
     def _on_show_sld(self, event=None):
@@ -1277,14 +1223,13 @@
     	"""
         # get profile data
-        x,y=self.model.getProfile()
-
+        x, y = self.model.getProfile()
         from danse.common.plottools import Data1D
         #from profile_dialog import SLDPanel
         from sans.guiframe.local_perspectives.plotting.profile_dialog \
         import SLDPanel
-        sld_data = Data1D(x,y)
+        sld_data = Data1D(x, y)
         sld_data.name = 'SLD'
         sld_data.axes = self.sld_axes
-        self.panel = SLDPanel(self, data=sld_data,axes =self.sld_axes,id =-1 )
+        self.panel = SLDPanel(self, data=sld_data, axes=self.sld_axes, id=-1)
         self.panel.ShowModal()
 
@@ -1295,6 +1240,6 @@
         """
         # build content of the combobox
-        for idx in range(0,multiplicity):
-            self.multifactorbox.Append(str(idx),int(idx))
+        for idx in range(0, multiplicity):
+            self.multifactorbox.Append(str(idx), int(idx))
             #self.multifactorbox.SetSelection(1) 
         self._hide_multfactor_combobox()
@@ -1320,5 +1265,4 @@
             self.multifactorbox.Hide()   
      
-        
     def _show_combox(self, event):
         """
@@ -1327,39 +1271,35 @@
         """
         ## Don't want to populate combo box again if the event comes from check box
-        if self.shape_rbutton.GetValue()and\
-             event.GetEventObject()==self.shape_rbutton:
+        if self.shape_rbutton.GetValue() and \
+             event.GetEventObject() == self.shape_rbutton:
             ##fill the combobox with form factor list
             self.structurebox.SetSelection(0)
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,self.model_list_box["Shapes"])
-            
-        if self.shape_indep_rbutton.GetValue()and\
-             event.GetEventObject()==self.shape_indep_rbutton:
+            self._populate_box(self.formfactorbox,
+                               self.model_list_box["Shapes"])
+        if self.shape_indep_rbutton.GetValue() and \
+             event.GetEventObject() == self.shape_indep_rbutton:
             ##fill the combobox with shape independent  factor list
             self.structurebox.SetSelection(0)
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
+            self._populate_box(self.formfactorbox,
                                 self.model_list_box["Shape-Independent"])
-            
-        if self.struct_rbutton.GetValue() and\
-             event.GetEventObject()==self.struct_rbutton:
+        if self.struct_rbutton.GetValue() and \
+             event.GetEventObject() == self.struct_rbutton:
             ##fill the combobox with structure factor list
             self.structurebox.SetSelection(0)
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
+            self._populate_box(self.formfactorbox,
                                 self.model_list_box["Structure Factors"])
-           
-        if self.plugin_rbutton.GetValue()and\
-             event.GetEventObject()==self.plugin_rbutton:
-           
+        if self.plugin_rbutton.GetValue() and \
+             event.GetEventObject() == self.plugin_rbutton:
             ##fill the combobox with form factor list
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
+            self._populate_box(self.formfactorbox,
                                 self.model_list_box["Customized Models"])
-        
         self._on_select_model(event=None)
         self._save_typeOfmodel()
@@ -1368,5 +1308,5 @@
         self.Layout()
         self.Refresh()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
             
     def _populate_box(self, combobox, list):
@@ -1378,11 +1318,10 @@
         """
         for models in list:
-            model= models()
+            model = models()
             name = model.__class__.__name__
             if models.__name__!="NoStructure":
                 if hasattr(model, "name"):
                     name = model.name
-                combobox.Append(name,models)
-     
+                combobox.Append(name, models)
         return 0
     
@@ -1392,24 +1331,20 @@
         
         """
-        tcrtl= event.GetEventObject()
-        
+        tcrtl = event.GetEventObject()
         #Clear msg if previously shown.
-        msg= ""
-        wx.PostEvent(self.parent, StatusEvent(status = msg ))
-        
+        msg = ""
+        wx.PostEvent(self.parent, StatusEvent(status=msg))
         ## save current state
         self.save_current_state()
-        if event !=None:
+        if event != None:
             #self._undo.Enable(True)
-            event = PageInfoEvent(page = self)
+            event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, event)
-              
         if check_float(tcrtl):
-            
             self._onparamEnter_helper()
             #event.Skip()
         else:
-            msg= "Cannot Plot :Must enter a number!!!  "
-            wx.PostEvent(self.parent, StatusEvent(status = msg ))
+            msg = "Cannot Plot :Must enter a number!!!  "
+            wx.PostEvent(self.parent, StatusEvent(status=msg))
             #event.Skip()
             return 
@@ -1420,18 +1355,16 @@
         
         """
-        
-        tcrtl= event.GetEventObject()
+        tcrtl = event.GetEventObject()
         #Clear msg if previously shown.
-        msg= ""
-        wx.PostEvent(self.parent, StatusEvent(status = msg ))
+        msg = ""
+        wx.PostEvent(self.parent, StatusEvent(status=msg))
         # Flag to register when a parameter has changed.
         is_modified = False
-        if tcrtl.GetValue().lstrip().rstrip()!="":
+        if tcrtl.GetValue().lstrip().rstrip() != "":
             try:
                 value = float(tcrtl.GetValue())
                 tcrtl.SetBackgroundColour(wx.WHITE)
-
                 # If qmin and qmax have been modified, update qmin and qmax
-                if self._validate_qrange( self.qmin, self.qmax):
+                if self._validate_qrange(self.qmin, self.qmax):
                     tempmin = float(self.qmin.GetValue())
                     if tempmin != self.qmin_x:
